V7.0

get

/ec-dc-svc/rest/v7.0/studies/{studyId}/{mode}/dataelements/subjects/{subjectId}/items

Retrieves data elements for a list of items by subject ID, with repeat transformations if any. Separate the item IDs with commas. Up-versioned to include hdiId of DataElement

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    active
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    ABCDEF1234567890ABCDEF1234567890
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    HEADBEEFDEADBEEFDEADBEEFDEADBEEF
Query Parameters
  • Item ID.The format for the item Id should be UUID, 32-character uppercase hexadecimal string
    Example:
    DEADBEEFDEADBEEFDEADBEEFDEADBEEF,GEADBEEFDEADBEEFDEADBEEFDEADBEEF

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : DataElementDto6
Type: object
Data element response with additional property linkage details
Show Source
Examples

400 Response

Bad request.
Body ()
Root Schema : DcsResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Back to Top